summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Sturmlechner <asturm@gentoo.org>2018-08-29 13:01:19 +0200
committerAndreas Sturmlechner <asturm@gentoo.org>2018-08-29 13:02:44 +0200
commit77d3323740bcbc150d8a4273cedc96a86f2c0861 (patch)
treed6c7b7fbdff415cc6e8cc8c3cb6e755e4d278900 /app-office
parentdev-db/postgresql: Work on minimizing FILESDIR (diff)
downloadgentoo-77d3323740bcbc150d8a4273cedc96a86f2c0861.tar.gz
gentoo-77d3323740bcbc150d8a4273cedc96a86f2c0861.tar.bz2
gentoo-77d3323740bcbc150d8a4273cedc96a86f2c0861.zip
app-office/libreoffice: Decouple gtk3-kde5 from USE=kde
But let it build if USE=gtk,kde are selected. USE=kde will only enable qt5/kde5 VCLs from now on. Package-Manager: Portage-2.3.48, Repoman-2.3.10
Diffstat (limited to 'app-office')
-rw-r--r--app-office/libreoffice/libreoffice-9999.ebuild6
1 files changed, 4 insertions, 2 deletions
diff --git a/app-office/libreoffice/libreoffice-9999.ebuild b/app-office/libreoffice/libreoffice-9999.ebuild
index 8654bb522fb..d081a3a350e 100644
--- a/app-office/libreoffice/libreoffice-9999.ebuild
+++ b/app-office/libreoffice/libreoffice-9999.ebuild
@@ -69,7 +69,6 @@ $(printf 'libreoffice_extensions_%s ' ${LO_EXTS})"
REQUIRED_USE="${PYTHON_REQUIRED_USE}
bluetooth? ( dbus )
- kde? ( gtk )
libreoffice_extensions_nlpsolver? ( java )
libreoffice_extensions_scripting-beanshell? ( java )
libreoffice_extensions_scripting-javascript? ( java )
@@ -433,7 +432,6 @@ src_configure() {
$(use_enable gstreamer gstreamer-1-0)
$(use_enable gtk gtk3)
$(use_enable gtk2 gtk)
- $(use_enable kde gtk3-kde5)
$(use_enable kde kde5)
$(use_enable kde qt5)
$(use_enable mysql ext-mariadb-connector)
@@ -449,6 +447,10 @@ src_configure() {
$(use_with odk doxygen)
)
+ if use gtk && use kde; then
+ myeconfargs+=( --enable-gtk3-kde5 )
+ fi
+
if use eds || use gtk; then
myeconfargs+=( --enable-dconf --enable-gio )
else